program NkMon;

uses NSys, NLib, NForm, MainForm;

{$R *.RES}

var
  Form: TNkMonMainForm;

procedure nkmSetValue(Name, Value: PChar); stdcall;
begin
  if not Assigned(Form) then
    Exit;
  Form.Gauges.Symbols['plugin.' + Name] := Value;
end;

procedure nkmSetValueInt(Name: PChar; Value: Longint); stdcall;
begin
  if not Assigned(Form) then
    Exit;
  Form.Gauges.Symbols['plugin.' + Name] := IStr(Value);
end;

exports
  nkmSetValue, nkmSetValueInt;

begin
  AppName := 'NkMon';
  ProfDir := GetEnv('NKTOOLSPROF', '');
  if ProfDir = '' then
    ProfDir := DirName(AbsPath(Argv[0]))
  else
    ProfDir := JoinPath(ProfDir, Lower(AppName));
  About := AppName+' 0.3.1 (2006-10-26)'+EOL+EOL+
    'Copyright (C) 2006 Nobuyuki Honda (Ferdia)'+EOL+EOL+
    'This software is provided under the zlib/libpng license.'+EOL+EOL+
    'Profile Folder: '+ProfDir;

  Form := TNkMonMainForm.Create(AppName, 0, 0, 64, 64);
  try
    SetMainForm(Form);
    Form.Show;
    ExitCode := MessageLoop;
  finally
    Form.Free;
  end;
end.
